org.bouncycastle.asn1.x509

## Class DistributionPoint

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.DistributionPoint

All Implemented Interfaces:
  DEREncodable

    public class DistributionPoint
    extends ASN1Encodable

The DistributionPoint object.

     DistributionPoint ::= SEQUENCE {
          distributionPoint [0] DistributionPointName OPTIONAL,
          reasons           [1] ReasonFlags OPTIONAL,
          cRLIssuer         [2] GeneralNames OPTIONAL
     }

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`DistributionPoint(ASN1Sequence seq)`
`DistributionPoint(DistributionPointName distributionPoint, ReasonFlags reasons, GeneralNames cRLIssuer)`

### Method Summary

Methods
`GeneralNames` `getCRLIssuer()`
`DistributionPointName` `getDistributionPoint()`
`static DistributionPoint` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static DistributionPoint` `getInstance(java.lang.Object obj)`
`ReasonFlags` `getReasons()`
`DERObject` `toASN1Object()`
`java.lang.String` `toString()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DistributionPoint

    public DistributionPoint(ASN1Sequence seq)

#### DistributionPoint

    public DistributionPoint(DistributionPointName distributionPoint,
                     ReasonFlags reasons,
                     GeneralNames cRLIssuer)

### Method Detail

#### getInstance

    public static DistributionPoint getInstance(ASN1TaggedObject obj,
                                boolean explicit)

#### getInstance

    public static DistributionPoint getInstance(java.lang.Object obj)

#### getDistributionPoint

    public DistributionPointName getDistributionPoint()

#### getReasons

    public ReasonFlags getReasons()

#### getCRLIssuer

    public GeneralNames getCRLIssuer()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`